Velocity Reviews - Computer Hardware Reviews

Velocity Reviews > Newsgroups > Programming > Perl > Perl Misc > Storable module for Activestate 5.6.1??

Reply
Thread Tools

Storable module for Activestate 5.6.1??

 
 
Kenjis Kaan
Guest
Posts: n/a
 
      06-30-2003
I am running Activestate Perl 5.6.1 and wanted to install the Storable
module. HOwever, from PPM, I tried to install and it replied.
"Error installing package 'Storable': Could not locate a PPD file for
package Storable"

I really think the package already exists for Activestate, but can't
seem to install it nor able to find the ppd for it. Anybody know?
 
Reply With Quote
 
 
 
 
Sisyphus
Guest
Posts: n/a
 
      06-30-2003

"Kenjis Kaan" <(E-Mail Removed)> wrote in message
news:(E-Mail Removed) om...
> I am running Activestate Perl 5.6.1 and wanted to install the Storable
> module. HOwever, from PPM, I tried to install and it replied.
> "Error installing package 'Storable': Could not locate a PPD file for
> package Storable"
>
> I really think the package already exists for Activestate, but can't
> seem to install it nor able to find the ppd for it. Anybody know?


ActiveState certainly have this package. There is apparently some problem
with the functionality of your ppm installation. (I think there is a number
of possible causes for receiving this error.)
Does 'ppm search Storable' report that it exists ?

You could download Storable.zip from
http://ppm.activestate.com/PPMPackag...x-builds-only/
and then try a local ppm install (as per instructions in the readme). At
least you'll then have the blib (it's in the MSWin32 '.tar.gz') that Randy
spoke of - which you can deal with manually if need be. (Note that the
version of Storable obtained this way might not be as recent as the version
contained in the AS repository.)

For problems with ppm, ActiveState has a 'ppm' mailing list - if you don't
get the problem resolved here.
Best to get it fixed.

Cheers,
Rob


 
Reply With Quote
 
 
 
 
Kenjis Kaan
Guest
Posts: n/a
 
      06-30-2003
"Sisyphus" <(E-Mail Removed)> wrote in message news:<3effe8ec$0$(E-Mail Removed)>...
> "Kenjis Kaan" <(E-Mail Removed)> wrote in message
> news:(E-Mail Removed) om...
> > I am running Activestate Perl 5.6.1 and wanted to install the Storable
> > module. HOwever, from PPM, I tried to install and it replied.
> > "Error installing package 'Storable': Could not locate a PPD file for
> > package Storable"
> >
> > I really think the package already exists for Activestate, but can't
> > seem to install it nor able to find the ppd for it. Anybody know?

>
> ActiveState certainly have this package. There is apparently some problem
> with the functionality of your ppm installation. (I think there is a number
> of possible causes for receiving this error.)
> Does 'ppm search Storable' report that it exists ?


ppm search Storable returns blank. So I guess you are right there is
a problem with ppm, maybe its the version (2.1.5). It got installed
as part of my perl 5.6.1 installation. Would it be possible to update
just ppm by itself without touching the perl installation?
 
Reply With Quote
 
Sisyphus
Guest
Posts: n/a
 
      07-01-2003

"Kenjis Kaan" <(E-Mail Removed)> wrote in message
> ppm search Storable returns blank. So I guess you are right there is
> a problem with ppm, maybe its the version (2.1.5). It got installed
> as part of my perl 5.6.1 installation. Would it be possible to update
> just ppm by itself without touching the perl installation?


It could be simply a configuration issue.
'ppm set' will list all of your current settings.

If it doesn't show
http://ppm.ActiveState.com/cgibin/PP...urn:/PPMServer as one of
the "Current PPD repository paths" then run:
ppm set repository ActiveState Package Repository
http://ppm.ActiveState.com/cgibin/PP...urn:/PPMServer

(Installation of ActiveState perl usually sets that configuration for you
automatically.)

Firewalls and proxy servers also interfere with the functionality of ppm.
For that see your perl\html\faq\ActivePerl-faq2.html - specifically the
section on proxies and firewalls.

Updating your version would be difficult. Last time I checked cpan's latest
version was 2.1.4 - which I have, and which works fine for me. Afaik you're
pretty much stuck with the version of ppm that ships with your AS perl. Do
you have build 635 ('perl -v' will tell you), which is the latest version of
perl 5.6.1 available from AS - and which should therefore already have the
latest version of ppm.

Cheers,
Rob


 
Reply With Quote
 
 
 
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Storable.pm failing with error Byte order is not compatible at blib/lib/Storable.pm arun Perl Misc 1 03-08-2012 04:18 PM
advisory locking using Storable module badarisj@gmail.com Perl Misc 1 04-12-2006 09:45 PM
Storable - Anyone with experience with this perl mod? Harsha Perl 1 09-11-2004 07:39 PM
help installing Storable module Mike G. Perl Misc 2 02-03-2004 08:25 AM
Re: Problem with Storable.pm (.xs), Perl 5.8.0, Redhat 9 Daniel Hembree Perl 0 01-12-2004 03:31 AM



Advertisments